using UnityEngine;

[CreateAssetMenu(fileName = "Weapondata", menuName = "Scriptable Objects/Weapondata")]
public class WeaponData : ScriptableObject
{
    /*public AudioClip sAttackClip;  // 약공격 소리
    public AudioClip aAttackClip;  // 강공격 소리*/

    [Header("Damage Info")]
    public float sDamage = 10;  // 약 공격력
    public float aDamage = 25;  // 강 공격력

    [Header("Delay Info")]
    public float frontdelaytime = 0.2f;  // 선딜레이 시간
    public float atkDuration = 0.1f;  // 공격 지속시간
    public float afterdelaytime = 0.5f;  // 후딜레이 시간

    [Header("Hitbox Info")]
    public Vector2 sboxSize;   // 공격 범위 (가로, 세로)
    public Vector2 sboxOffset; // 캐릭터 중심으로부터 얼마나 떨어져 있는지
    public Vector2 aboxSize;   // 공격 범위 (가로, 세로)
    public Vector2 aboxOffset; // 캐릭터 중심으로부터 얼마나 떨어져 있는지

    [Header("Combat Info")]
    public float baseDamage;  // 기본 공격력
    public float hitStunTime; // 적이 맞았을 때 멈추는 시간
}
